Bug 1261250 - Variable List paging not working
Variable List paging not working
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity unspecified
: ER4
: 6.2.0
Assigned To: Marco Rietveld
Lukáš Petrovický
:
Depends On:
Blocks: 1261515
  Show dependency treegraph
 
Reported: 2015-09-09 00:32 EDT by William Antônio
Modified: 2017-12-07 18:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1261515 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The variable grid not being updated (371.37 KB, application/ogg)
2015-09-09 00:32 EDT, William Antônio
no flags Details

  None (edit)
Description William Antônio 2015-09-09 00:32:18 EDT
Created attachment 1071553 [details]
The variable grid not being updated

Description of problem:

When we have a process instance with more than 10 variables and try to navigate though all the variables, the list is not changed. We can't even sort the grid with the variables because it does not work (the sort action is simply ignored).



Version-Release number of selected component (if applicable):
n/a

How reproducible:
always

Steps to Reproduce:
1. Create a process with more than 10 variables
2. Build and deploy it
3. In the process instance screen, click on the process and then on the right side, in the variable list grid
4. Try to go to the second page to see more variables

Actual results:
The grid (or list of variables) will not be updated

Expected results:
The list should allow navigation

Additional info:

Sorting also does not work, but probably this could be a subject for another bugzilla.

I recorded a video that shows what is happening with more details
Comment 4 jvahala 2015-10-21 04:14:24 EDT
Listing variables of process with more than 10 vars now works well. Verified on 6.2.0.ER4
Comment 6 Bugzilla account termination 2017-12-07 18:37:41 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.